## org.apache.axis.wsdl.toJava
Class NamespaceSelector

    java.lang.Object
      org.apache.axis.wsdl.toJava.NamespaceSelector

public class NamespaceSelector
extends java.lang.Object

This class is used within the context of a FactorySpec to express namespaces that should be either included and/or excluded from source code generation. The ability to include/exclude specific namespaces from wsdl2java generation allows certain namespaces to be mapped to custom bean classes, have wsdl-generated stubs/skeletons declared to pass those types, and not have the wsdl2java process generate classes which would conflict with the externally developed custom beans.

Author:
  Jim Stafford (jim.stafford@raba.com)

Constructor Summary
`NamespaceSelector()`
`NamespaceSelector(java.lang.String namespace)`

Method Summary
`boolean` `equals(java.lang.Object value)`
`java.lang.String` `getNamespace()`
`void` `setNamespace(java.lang.String value)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceSelector

    public NamespaceSelector()

### NamespaceSelector

    public NamespaceSelector(java.lang.String namespace)

Method Detail

### setNamespace

    public void setNamespace(java.lang.String value)

### getNamespace

    public java.lang.String getNamespace()

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object value)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.